
QGIS Application - Bug report #21952

QGIS Server does not well provide type for virtual field.

2019-04-29 11:40 AM - Roberto Marzocchi

Status: Open

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:3.4.7 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29767

Description

Virtual field defined with double precision type in QGIS server are provided as integer (output content of DescribeFeatureType in

XMLSCHEMA)

History

#1 - 2019-05-01 05:59 PM - Giovanni Manghi

- Easy fix? changed from Yes to No

- Status changed from Open to Feedback

Is a regression compared to QGIS Server 2.*?

#2 - 2019-05-02 10:47 AM - Roberto Marzocchi

Giovanni Manghi wrote:

Is a regression compared to QGIS Server 2.*?

No. Same problem also using QGIS Server 2.18.*

NB problem tested on a PostGIS layerm even if the virtual field is only created on the QGIS project

#3 - 2019-05-16 10:26 AM - Roberto Marzocchi

- Status changed from Feedback to Open

Roberto Marzocchi wrote:

Virtual field defined with double precision type in QGIS server are provided as integer (output content of DescribeFeatureType in XMLSCHEMA)
